Bug 3986 - Automated Fremantle Alpha SDK installation fails on Fedora 10
: Automated Fremantle Alpha SDK installation fails on Fedora 10
Status: RESOLVED WONTFIX
Product: Development platform
SDK
: 5.0-alpha-pre2
: x86 Linux
: Low minor with 1 vote (vote)
: ---
Assigned To: Janne Johansson
: sdk-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-01-06 23:38 UTC by Andre Klapper
Modified: 2009-12-05 01:29 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Andre Klapper (reporter) maemo.org 2009-01-06 23:38:43 UTC
Feel free to WONTFIX if you only consider Debian/Ubuntu as supported platforms.
IF interested I'm more than willing to provide better info after being told
how. :)


STEPS TO REPRODUCE THE PROBLEM:
1. Read http://maemo.org/development/sdks/pre_alpha_installation/ and follow
the instructions.
2. Try to install on Fedora 10.


EXPECTED OUTCOME:
Installation successful.


ACTUAL OUTCOME:
Directly after successfully downloading all packages i get:

Fetched 79.8MB in 1m28s (897kB/s)                                               
/scratchbox/tools/bin/sh: line 1: /usr/sbin/dpkg-preconfigure: No such file or
directory
   [...]
Setting up maemo-launcher (0.31-3) ...
/scratchbox/devkits/debian-etch/bin/invoke-rc.d: line 1: /sbin/runlevel: No
such file or directory
cat: /home/root/.osso/current-gtk-theme: No such file or directory
AF Warning: '/etc/osso-af-init/keyboard.defs' not found
Reloading Maemo Launcher: maemo-launcher not running.
   [...]
Setting up hildon-desktop (2.0.19-1) ...
/scratchbox/devkits/debian-etch/bin/invoke-rc.d: line 1: /sbin/runlevel: No
such file or directory
cat: /home/root/.osso/current-gtk-theme: No such file or directory
AF Warning: '/etc/osso-af-init/keyboard.defs' not found
cat: /home/andre/.osso/current-gtk-theme: No such file or directory
/etc/osso-af-init/hildon-desktop.sh: line 10:
/home/andre/.osso/current-gtk-theme.maemo_af_desktop: No such file or directory
/etc/osso-af-init/hildon-desktop.sh: Error, DISPLAY is not defined
   [...]
Setting up libloudmouth1-dev (1.4.1-0osso2) ...
Setting up maemo-chavo-runtime (1.4-1) ...
Setting up maemo-chavo-dev (1.4-1) ...
Setting up pulseaudio-module-gconf (0.9.13git~20081020-0maemo8) ...
Setting up maemo-mmf-runtime (1.1-6) ...
Setting up maemo-mmf-dev (1.1-6) ...
Setting up libgtk2.0-bin (2.12.12-1maemo3) ...
You don't have immodules directory for version 2.4.0.
Use default version instead.
Updating the IM modules list for GTK+-2.12.0...find:
/usr/lib/gtk-2.0/2.12.0/immodules: No such file or directory
done.
You don't have gdk-pixbuf loaders directory for version 2.12.0.
Use default version instead.
Updating the gdk-pixbuf loaders list for GTK+-2.12.0...done.

Errors were encountered while processing:
 ifupdown
 netbase
 dnsmasq
 ppp
 maemo-connectivity-runtime
 maemo-connectivity-dev
 maemo-core-runtime
 maemo-core-dev
 maemo-sdk-runtime
 maemo-sdk-dev
E: Sub-process /scratchbox/devkits/debian-etch/bin/dpkg returned an error code
(1)
E: Unable to install maemo-sdk-dev on FREMANTLE_X86 target.
E: Please check the sources.list for errors.
E: Scratchbox login returned error 100.


$:andre\> more
/home/andre/maemo/scratchbox/users/andre/targets/FREMANTLE_X86/etc/apt/sources.list
deb http://repository.maemo.org/ fremantle/sdk free non-free
deb-src http://repository.maemo.org/ fremantle/sdk free
deb http://repository.maemo.org/ fremantle/tools free non-free
deb-src http://repository.maemo.org/ fremantle/tools free



REPRODUCIBILITY:
always

OTHER COMMENTS:
Ended up in successfully installing this on an Ubuntu 8.10 machine to be able
to test the SDK, but that's not my work machine and I would have prefered to
avoid this... :-/
Comment 1 Andre Klapper (reporter) maemo.org 2009-01-12 13:13:51 UTC
Workaround described at
http://www.gossamer-threads.com/lists/maemo/users/44741#44741 might be added to
http://maemo.org/development/sdks/pre_alpha_installation/ .

Rephrasing summary as this only refers to Automatic installation.
Comment 2 Janne Johansson nokia 2009-09-09 10:34:12 UTC
As there are workarounds for fedora 10 and the installation seems to work fine
on fedora 11, which to my understanding is the current stable, I don't think
that anything will be done about the bug.
Comment 3 Andre Klapper (reporter) maemo.org 2009-11-23 22:15:28 UTC
Heads-up for people finding this ticket via Google:

For Maemo 5 and Fedora 12, see http://talk.maemo.org/showthread.php?t=34924 .
Comment 4 Jeff Moe 2009-12-05 01:29:23 UTC
FWIW, I got the latest Maemo 5 SDK up and running on Fedora 12 x86_64 (64 bit).
Notes here:
http://wiki.maemo.org/User:Jebba#SDK